/* include/crm_config.h.  Generated from crm_config.h.in by configure.  */
/* crm_config.h.in */

/* 
 * Copyright (C) 2006 - 2007
 *     Andrew Beekhof <andrew@beekhof.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef CRM_CONFIG__H__IN
#define CRM_CONFIG__H__IN

/****** Versions ******/

/* Current pacemaker version */
#define PACEMAKER_VERSION "1.1.16-12.el7_4.4"

/* Build version */
#define BUILD_VERSION "94ff4df"

/* Current version of the Pacemaker Relax-NG Schema */
/* #undef CRM_DTD_VERSION */

/****** Other ******/

/* Group to run Pacemaker daemons as */
#define CRM_DAEMON_GROUP "haclient"

/* User to run Pacemaker daemons as */
#define CRM_DAEMON_USER "hacluster"

/****** Directories ******/

/* Where Pacemaker can store log files */
#define CRM_LOG_DIR "/var/log/pacemaker"

/* Location for Pacemaker daemons */
#define CRM_DAEMON_DIR "/usr/libexec/pacemaker"

/* Where to keep blackbox dumps */
#define CRM_BLACKBOX_DIR "/var/lib/pacemaker/blackbox"

/* Where to keep configuration files */
#define CRM_CONFIG_DIR "/var/lib/pacemaker/cib"

/* Where to keep PEngine outputs */
#define PE_STATE_DIR "/var/lib/pacemaker/pengine"

/* Location to store core files produced by Pacemaker daemons */
#define CRM_CORE_DIR "/var/lib/pacemaker/cores"

/* Where to keep state files and sockets */
#define CRM_STATE_DIR "/var/run/crm"

/* Location for the Pacemaker Relax-NG Schema */
#define CRM_DTD_DIRECTORY "/usr/share/pacemaker"

/****** Features ******/

/* Set of enabled features */
#define CRM_FEATURES " generated-manpages agent-manpages ncurses libqb-logging libqb-ipc systemd nagios  corosync-native atomic-attrd acls"

/* Support the Heartbeat messaging and membership layer */
#define SUPPORT_HEARTBEAT 0

/* Support the Corosync messaging and membership layer */
#define SUPPORT_COROSYNC 1

/* Support the Pacemaker plugin for Corosync */
#define SUPPORT_PLUGIN 0

/* Support the consumption of membership and quorum from corosync */
#define SUPPORT_CS_QUORUM 1

/* Support systemd based system services */
#define SUPPORT_SYSTEMD 1

/* Support upstart based system services */
#define SUPPORT_UPSTART 0


/****** Compatibility ******/

/* Does corosync use libqb for its ipc */
#define CS_USES_LIBQB 1

/* Compatibility alias for SUPPORT_COROSYNC */
/* #undef SUPPORT_AIS */

/* Compatibility alias for SUPPORT_COROSYNC */
/* #undef AIS_COROSYNC */

#endif /* CRM_CONFIG__H__IN */
